This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 217903 - libpng-devel does not depend on pkg-config
libpng-devel does not depend on pkg-config
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpng (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
http://buildsys.fedoraproject.org/log...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 13:04 EST by Dominik 'Rathann' Mierzejewski
Modified: 2013-07-02 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 01:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-11-30 13:04:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
According to current packaging guidelines all -devel packages which include pkgconfig's .pc files must have
Requires: pkgconfig
libpng for FC5 does not have it.

Version-Release number of selected component (if applicable):
libpng-devel-1.2.8-2.2.1

How reproducible:
Always


Steps to Reproduce:
1. Prepare a package that Requires: libpng-devel and uses pkgconfig to find out CFLAGS and LDFLAGS
2. Rebuild that package in mock.

Actual Results:
Build fails.

Expected Results:
pkgconfig should get pulled as build dependency and build should succeed.

Additional info:
Comment 1 Tom Lane 2006-11-30 15:10:01 EST
FWIW, this seems already fixed in FC6.
Comment 2 Dominik 'Rathann' Mierzejewski 2006-12-04 21:04:30 EST
I know. The bug is filled against FC5. I tried to build tachyon with unmodified
devel/FC6 spec and found that I couldn't without adding a workaround.
Comment 3 Tom Lane 2007-05-24 01:38:53 EDT
Done in libpng-1.2.8-3.fc5 ... sorry about the delay, but there's been no other reason to turn the package.

Note You need to log in before you can comment on or make changes to this bug.